Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.pde.core.plugin
Interface IFragmentModel

All Superinterfaces:
  IAdaptable, IBaseModel, IModel, IModelChangeProvider, IPluginModelBase, ISharedExtensionsModel, ISharedPluginModel

public interface IFragmentModel
extends IPluginModelBase

This type of model is created by parsing the fragment.xml file. If the file is a workspace resource, it will be available as the underlying resource of the model. The model may be read-only or editable. It will also make a reference to the plugin.jars model when created. The reference will be of the same type as the model itself: if the model is editable, it will attempt to obtain an exclusive editable copy of plugin.jars model.

The fragment model can be disabled. Disabling the model will not change its data. Users of the model will have to decide if the disabled state if of any importance to them or not.

The model is capable of notifying listeners about changes. An attempt to change a read-only model will result in a CoreException.

Method Summary
`IFragment` | `getFragment()` Returns a top-level model object.

Methods inherited from interface org.eclipse.pde.core.plugin.IPluginModelBase
`createPluginBase, getBuildModel, getBundleDescription, getNLLookupLocation, getPluginBase, getPluginBase, getPluginFactory, isEnabled, isFragmentModel, setBundleDescription, setEnabled`

Methods inherited from interface org.eclipse.pde.core.plugin.ISharedExtensionsModel
`getExtensions, getExtensions`

Methods inherited from interface org.eclipse.pde.core.plugin.ISharedPluginModel
`getFactory, getInstallLocation`

Methods inherited from interface org.eclipse.pde.core.IModel
`getResourceString, getTimeStamp, getUnderlyingResource, isInSync, isLoaded, isReconcilingModel, load, load, reload`

Methods inherited from interface org.eclipse.pde.core.IBaseModel
`dispose, isDisposed, isEditable, isValid`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Methods inherited from interface org.eclipse.pde.core.IModelChangeProvider
`addModelChangedListener, fireModelChanged, fireModelObjectChanged, removeModelChangedListener`

Method Detail

### getFragment

    public IFragment getFragment()

  Returns a top-level model object.

  Returns:
    a root model instance

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse PDE Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) IBM Corp. and others 2000, 2004. All Rights Reserved.